﻿@model CreateClustersModel
@section Head
{
    @*<script src="../../bower-components/jquery/dist/jquery.min.js"></script>
    <link rel="stylesheet" href="../../bower-components/select2/dist/css/select2.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.7/js/select2.min.js"></script>*@
}
<section class="content-header">
    <h1>
        Create Cluster
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Level</a></li>
        <li class="active">Here</li>
    </ol>
</section>
<section class="content">
    <div class="row">
        <!-- left column -->
        <div class="col-md-6">
            <!-- general form elements -->
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title">Create Cluster</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form role="form" asp-controller="Taxonomy" asp-action="Cluster" method="post" enctype="multipart/form-data">
                    <div class="box-body">
                        <div class="form-group">
                            <label for="name">cluster name</label>
                            <input class="form-control" id="name" name="name" placeholder="Enter name">
                        </div>

                        @*<div class="form-group">
                            <label>Topics</label>
                            <select multiple="" class="form-control" name="topicList">
                                @foreach (var t in Model.Topics)
                                {
                                    <option value="@t.Id">@t.ProcessName": "@t.Name</option>
                                }
                            </select>
                        </div>*@

                        <div class="form-group">
                            <label>Apps</label>
                            <select multiple="" class="form-control" name="apps">
                                <option selected>all</option>
                                @foreach (var app in Model.Apps)
                                {
                                    <option>@app</option>
                                }
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="topics"># of topics</label>
                            <input type="number" value="25" class="form-control" id="topics" name="topics" placeholder="Enter Topics count">
                        </div>
                        <div class="form-group">
                            <label for="iterations"># of iterations</label>
                            <input type="number" value="700" class="form-control" id="iterations" name="iterations" placeholder="Enter iterations count">
                        </div>
                        <div class="form-group">
                            <label for="words"># of words</label>
                            <input type="number" value="20" class="form-control" id="words" name="words" placeholder="Enter words count">
                        </div>
                        <div class="form-group">
                            <label for="threshold">topic thresholds</label>
                            <input type="number" value="0.3" class="form-control" id="threshold" name="threshold" placeholder="Enter threshold" step="0.05">
                        </div>
                    </div>
                    <!-- /.box-body -->

                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
            <!-- /.card -->
        </div>
    </div>
    <!-- /.row -->
</section>
